{ lib, pkgs, config, ... }:

{
  services = {
    cloudflared = {
      enable = true;
      tunnels = {
        "{{Tunnel UUID}}" = {
          credentialsFile = "{{/path/to/UUID.json}}";
          default = "http_status:404";
          ingress = {
            "ahoneybun.net" = "http://localhost:80";
            "www.ahoneybun.net" = "http://localhost:80";
            "status.ahoneybun.net" = "http://localhost:8082";
            "photos.ahoneybun.net" = "http://localhost:2342";
            "git.ahoneybun.net" = "http://localhost:3001";
            "books.ahoneybun.net" = "http://localhost:5000";
            "videos.ahoneybun.net" = "http://localhost:8096";
          };
        };
      };
    };
  };
}
